跳到正文
Navigation

获取文件管理中收藏的目录列表

POST
https://your-panel.example.com:8888/files

获取用户收藏/标记的目录列表。

Request body application/x-www-form-urlencoded required

  • request_time
    string
    required

    Unix 时间戳。

  • request_token
    string
    required

    按 API 概览生成的签名。

  • action
    get_files_store
    required

    具体操作名称。

Returns

default

接口响应,业务状态见下方详细说明。

各操作详细说明

get_files_storeaction=get_files_store获取文件管理中收藏的目录列表

获取用户收藏/标记的目录列表。

  • 路由:POST /files
  • action:get_files_store

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 get_files_store

无其他参数。

输出参数

参数名称 类型 描述
- Array 收藏目录列表,每项含 path、name、type

示例

请求

POST /files HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=get_files_store

响应

[]

Type to search…

↑↓ navigate↵ selectEsc close